'=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
' PLIST v1.00               <***>                 Written by Joseph F. Bork
'=-------------------------------------------------------------------------=
'         Source code and all associated files with PLIST are
'               Copyright (C) 1991 by Joseph F. Bork
'=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=
DEFINT A-Z

IF COMMAND$ = "" THEN
  PRINT
  PRINT "Usage:  PLIST {[d:][path]} filename.ext <ENTER>"
  PRINT
  END
END IF

PrintFile:
SCREEN 0, 0, 0, 0
CLS (0)

ON ERROR GOTO FileError:
PRINT "Opening file "; COMMAND$; "..."
OPEN COMMAND$ FOR INPUT AS #1
PRINT
PRINT "Please turn on printer and press any key to continue..."
DO: LOOP WHILE (INKEY$ = "")

FileLine = 0

CLS (0)

LOCATE 1, 1, 0
PRINT "PLIST v1.00";
LOCATE 1, 36, 0
PRINT "File: "; COMMAND$;
LOCATE 1, 63, 0
PRINT "Line #"; FileLine;

PRINT STRING$(80, CHR$(205));

VIEW PRINT 3 TO 25
LOCATE 3, 1, 0

DO UNTIL EOF(1)
  LINE INPUT #1, FileLine$
  FileLine = (FileLine + 1)
  PRINT FileLine$
  SaveLine = CSRLIN
  VIEW PRINT
  LOCATE 1, 63, 0
  PRINT "Line #"; FileLine;
  VIEW PRINT 3 TO 25
  LOCATE SaveLine, 1, 0
  LPRINT FileLine$
  FileLine$ = "": SaveLine = 0
  LOOP
CLOSE #1
LPRINT CHR$(12)

VIEW PRINT
CLS (0)
PRINT
PRINT
PRINT "Printing complete.  Print again? (Y/N)"
DO
  Key$ = INKEY$
  Key$ = UCASE$(Key$)
  IF Key$ = "N" THEN
    PRINT
    PRINT "PLIST v1.00,  Copyright (C) 1991 by Joseph F. Bork"
    PRINT "PLIST is NOT Public Domain.  It is Shareware."
    PRINT "Feel free to distribute PLIST.  Read PLIST.DOC for"
    PRINT "more information."
    PRINT
    PRINT "Have a nice day! (Press a key)"
    DO: LOOP WHILE (INKEY$ = "")
    END
  ELSEIF Key$ = "Y" THEN
    GOTO PrintFile
  END IF
LOOP
END

FileError:
  SELECT CASE ERR
    CASE 24
      SOUND 600, 6
      PRINT "Device timeout error!"
    CASE 25
      SOUND 600, 6
      PRINT "Device fault error!"
    CASE 27
      SOUND 600, 6
      PRINT "Out of paper error!"
    CASE 52
      SOUND 600, 6
      PRINT "Bad filename or number error!"
    CASE 53
      SOUND 600, 6
      PRINT "File not found error!"
    CASE 55
      SOUND 600, 6
      PRINT "File already open error!"
    CASE 57
      SOUND 600, 6
      PRINT "Device I/O error!"
    CASE 62
      SOUND 600, 6
      PRINT "Input past end of file error!"
    CASE 64
      SOUND 600, 6
      PRINT "Bad filename error!"
    CASE 67
      SOUND 600, 6
      PRINT "Too many files error!"
    CASE 68
      SOUND 600, 6
      PRINT "Device unavailable error!"
    CASE 71
      SOUND 600, 6
      PRINT "Disk not ready error!"
    CASE 72
      SOUND 600, 6
      PRINT "Diks-media error!"
    CASE 75
      SOUND 600, 6
      PRINT "Path/File access error!"
    CASE 76
      SOUND 600, 6
      PRINT "Path not found error!"
    CASE ELSE
      ERROR ERR
  END SELECT

  PRINT "Press any key."
  DO: LOOP WHILE (INKEY$ = "")
  END


